@echo off
setlocal

rem Script to launch the command line interface for DbVisualizer

set _CD=%cd%
set DBVIS_HOME=%~dp0
set CP=%DBVIS_HOME%\resources
set CP=%CP%;%DBVIS_HOME%\lib\*

:JRE
call "%DBVIS_HOME%\resolveJRE.bat"
if ERRORLEVEL 1 exit /b 1

:JVM
set VM_ARGS=-Xmx4096M %VM_ARGS%
set COMMON_ARGS=-Dfile.encoding=COMPAT -Djava.awt.headless=true -Ddbvis.home="%DBVIS_HOME%." -cp "%CP%"
set JAVA_ARGS=%VM_ARGS% "@%DBVIS_HOME%\java9-args" %COMMON_ARGS%

:RUN
cd /d %_CD%
%JAVA_EXEC% %JAVA_ARGS% com.onseven.dbvis.DbVisualizerCmd %*
