@echo off
setlocal

rem Script to launch DbVisualizer by manually invoking Java

rem Please note that it's *not* recommended to launch DbVisualizer
rem with this script. Instead use the "dbvis.exe" launcher.

set _CD=%cd%
set DBVIS_HOME=%~dp0
set CP=%DBVIS_HOME%\resources
set CP=%CP%;%DBVIS_HOME%\lib\*

:JRE
call "%DBVIS_HOME%\resolveJRE.bat"
if ERRORLEVEL 1 exit /b 1

:JVM
set VM_ARGS=-XX:StringTableSize=1000003 -Xmx4096M %VM_ARGS%
set COMMON_ARGS=-Dfile.encoding=COMPAT -splash:"%DBVIS_HOME%\resources\images\tool\dbvis-splash_dark.png" -Ddbvis.home="%DBVIS_HOME%." -cp "%CP%"
set JAVA_ARGS=%VM_ARGS%
set JAVA_ARGS=%VM_ARGS% "@%DBVIS_HOME%\java9-args" %COMMON_ARGS%

:RUN
cd /d %_CD%
%JAVA_EXEC% %JAVA_ARGS% com.onseven.dbvis.DbVisualizerGUI %*
